package com.pcloud.book.clock.dto;

import java.util.List;

import lombok.Data;

/**
 * @Describe: TODO
 * @Author: zhangdongwei
 * @Date: Create on 15:51 2019/6/3 0003
 */
@Data
public class BookClockListDTO {
    private Long bookClockInfoId;

    private Long originId;

    private String originType;

    private String originTitle;

    private String originImg;

    private String uniqueNumber;

    /**
     * 社群书数
     */
    private Integer bookCount;

    /**
     * 社群书ids
     */
    private List<Long> bookGroupIdList;

    /**
     * 群分类数
     */
    private Integer classifyCount;

    /**
     * 群分类ids
     */
    private List<Long> classifyIdList;

    public Long getBookClockInfoId() {
        return bookClockInfoId;
    }

    public void setBookClockInfoId(Long bookClockInfoId) {
        this.bookClockInfoId = bookClockInfoId;
    }

    public Long getOriginId() {
        return originId;
    }

    public void setOriginId(Long originId) {
        this.originId = originId;
    }

    public String getOriginType() {
        return originType;
    }

    public void setOriginType(String originType) {
        this.originType = originType;
    }

    public String getOriginTitle() {
        return originTitle;
    }

    public void setOriginTitle(String originTitle) {
        this.originTitle = originTitle;
    }

    public String getOriginImg() {
        return originImg;
    }

    public void setOriginImg(String originImg) {
        this.originImg = originImg;
    }

    public String getUniqueNumber() {
        return uniqueNumber;
    }

    public void setUniqueNumber(String uniqueNumber) {
        this.uniqueNumber = uniqueNumber;
    }

    public Integer getBookCount() {
        return bookCount;
    }

    public void setBookCount(Integer bookCount) {
        this.bookCount = bookCount;
    }

    public List<Long> getBookGroupIdList() {
        return bookGroupIdList;
    }

    public void setBookGroupIdList(List<Long> bookGroupIdList) {
        this.bookGroupIdList = bookGroupIdList;
    }

    public Integer getClassifyCount() {
        return classifyCount;
    }

    public void setClassifyCount(Integer classifyCount) {
        this.classifyCount = classifyCount;
    }

    public List<Long> getClassifyIdList() {
        return classifyIdList;
    }

    public void setClassifyIdList(List<Long> classifyIdList) {
        this.classifyIdList = classifyIdList;
    }
}
